
<?php
    include("../openConnection.php");
    session_start();
    //VALIDACION PARA COMPROBAR QUE HAY UN USUARIO LOGUEADO
    // if($_SESSION["logged"]!="ok"){
    //     echo "<script type='text/javascript'> window.open('http://localhost/pipBoy/', '_parent'); </script>";
    //     echo "<script>console.log('NOPE')</script>";
    // }

    //obetencion de los datos de usuario
    $id = $_SESSION["current-id"];
    $sql = "SELECT * FROM user WHERE id = :id";
    $stmt = $conn->prepare($sql);
    $stmt->bindParam(":id", $id);
    $stmt->execute();
    $result = $stmt->fetchAll(PDO::FETCH_ASSOC);

    $nick = $result[0]["nick"];
    $email = $result[0]["email"];
    $passwd = $result[0]["passwd"];


    //SENTENCIA UPDATE
    $update = "UPDATE user SET nick = :nick, email = :email, passwd = :passwd WHERE user.id = :id "; 

    $stmt = $conn->prepare($update);

   

    //validacion sobre los metodos de solicitud
    if($_SERVER["REQUEST_METHOD"] == "POST"){

        //validacion de la contraseña
        if(password_verify($_POST["passwd"], $passwd)){

            //validar si el boton presionado es para modificar
            if($_POST["action"]=="update"){
                    $nick = $_POST["nick"];
                    $email = $_POST["email"];
                    $passwd_mod = password_hash($_POST["new_passwd"], PASSWORD_DEFAULT);

                    //enlazado de parametros a la sentencia preparada
                    $stmt->bindParam(":nick", $nick);
                    $stmt->bindParam(":email", $email);
                    $stmt->bindParam(":passwd", $passwd_mod);
                    $stmt->bindParam(":id", $id);
        
                    $stmt->execute();

                    //actualizacion de la variable de sesion que almacena el nick del usuario actual
                    $_SESSION["current-nick"] = $nick;

                    //redireccionamiento a la pagina de wiki
                    echo "<script type='text/javascript'> window.open('index.php', '_parent'); </script>";
            
            //validar si el boton presionado es para eliminar
            }elseif ($_POST["action"] == "delete") {

                //sentencia delete
                $delete = "DELETE FROM user WHERE id = :id";
                $stmt = $conn->prepare($delete);
                $stmt->bindParam(":id",$id);
                $stmt->execute();
                session_unset();
                session_destroy();

                //redireccionamiento al inicio de la aplicacion index.html
                echo "<script type='text/javascript'> window.open('../index.html', '_parent'); </script>";

            }
        }elseif ($_POST["action"] == "close"){
            session_unset();
            session_destroy();
            echo "<script type='text/javascript'> window.open('../index.html', '_parent'); </script>";
        }else{
            //se muestra una alerta que notfica que la contraseña esta mal y refresca la pagina
            echo "<script type='text/javascript'>alert('La contraseña no es correcta'); window.location.href = window.location.href;</script>";
        }
         
    }

     unset($_POST);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Cuenta</title>
    <link rel="stylesheet" href="../style/mod-user.css">
    <script type="text/javascript" src="../js/validateFields.js"></script>
</head>
<body>
    <div class="container">
        <div class="form-container">
        <form action="mod-user.php" method="post" id="mod-form" onsubmit="return modificacion()">
            <label for="nick">Nombre de usuario</label>
            <input type="text" name="nick" id="nick" <?php echo "value=" . $nick?>> 
            <br>
            <label for="email">Email</label>
            <input type="text" name="email" id="email" <?php echo "value=" . $email?>>
            <br>
            <label for="passwd">Contraseña actual</label>
            <input type="password" name="passwd" id="passwd">
            <br>
            <label for="new_passwd">Nueva contraseña</label>
            <input type="password" id="new_passwd" name="new_passwd">
        </form>
        </div>
       <div class="actions">
            <br>
            <button type="submit" id="submit" name="action" value="update" form="mod-form">Modificar</button>
            <br>
            <br>
            <button type="submit" id="del" name="action" value="delete" form="mod-form">Eliminar cuenta</button>
            <br>
            <br>
            <button type="submit" id="close" name="action" value="close" form="mod-form">Cerrar sesion</button>
        </div>
    </div>
    <script type="text/javascript">
        function modificacion() {
            return confirm("Confirmacion");
        }
    </script>
</body>
</html>