document.addEventListener('DOMContentLoaded', () => {

    var title = document.getElementById("title")
    var list = document.getElementById("items");
    var image = document.getElementById("imagen");
    var info = document.getElementById("info");
    var opInfo = document.getElementById("opInfo");
    var items = list.childNodes;
    var api

    //obtener el valor de la etiqueta title
    switch(title.textContent){
        case "Ayuda":
            api = "ayuda"
            break;

        case "Criaturas":
            api = "criaturas"
            break;

        case "Municion":
            api = "municion"
            break;

        case "Armas":
            api = "armas"
            break;

        case "Atuendos":
            api = "atuendos"
            break;
    }

    //obtener el elemento ul que tiene por nombre el mismo valor que la etiqueta title
    var des = document.getElementById(api)

    //extraccion de datos de la api usando template string
    //se aprovecha el valor de api ya que el endpoint de la api tiene el mismo nombre
    fetch(`http://localhost:8080/${api}/all`)
    .then(response => response.json())
    .then(data => {
        console.log(api);
        setList(data);
        setData(data);
    }
    )

    //funcion que realiza el DOM la lista de inventario
    function setList(data) {
        for (let i = 0; i < data.length; i++) {
            list.innerHTML += "<li>"+data[i].nombre+"</li>";
        }
    }

    //funcion que realiza el DOM para la foto
    function setData(data) {
        for(let i=0 ; i<items.length; i++){
            let j = i-1;
            items[i].addEventListener('click', ()=>{
                image.classList.add("img-class");
                opInfo.classList.remove("opInfo");
                image.src=data[j].foto;
                opInfo.innerHTML=" ";
                setDesc(data[j])
                console.log(items[i].textContent + " " + i)
                setFocus(items[i])
                setInfo(data[j])
            })
        }
    }

    //funcion que realiza el DOM para la descripcion del item seleccionado
    function setDesc(data) {
        switch(api){
            case "armas":
                des.innerHTML = ""
                des.innerHTML += "<li><div class='left'> Daño: </div><div class='right'>"+data.danio+"</div></li>"
                des.innerHTML += "<li><div class='left'><img src='../style/assets/ammo-ico.png' id='ammo-img'></img></div><div class='right'>"+data.municion+"</div></li>"
                des.innerHTML += "<li><div class='left'> Rango: </div><div class='right'>"+data.rango+"</div></li>"
                des.innerHTML += "<li><div class='left'> Precision: </div><div class='right'>"+data.prec+"</div></li>"
                des.innerHTML += "<li><div class='left'> Cadencia: </div><div class='right'>"+data.cadencia+"</div></li>"
                des.innerHTML += "<li><div class='left'> Peso: </div><div class='right'>"+data.peso+"</div></li>"
                des.innerHTML += "<li><div class='left'> Valor: </div><div class='right'>"+data.valor+"</div></li>"
                break;
            case "atuendos":
                des.innerHTML = ""
                des.innerHTML += "<li><div class='fly'>Resistencia<br>al daño</div><div class='left'><img src='../style/assets/daño-ico.png'></img></div><div class='right'>"+data.resistDaño+"</div></li>"
                des.innerHTML += "<li><div class='left'><img src='../style/assets/energia-ico.png'></img></div><div class='right'>"+data.resistEnergia+"</div></li>"
                des.innerHTML += "<li><div class='left'><img src='../style/assets/radiacion-ico.png'></img></div><div class='right'>"+data.resistRads+"</div></li>"
                des.innerHTML += "<li><div class='left'> Peso:  </div><div class='right'>"+data.peso+"</div></li>"
                des.innerHTML += "<li><div class='left'> Valor: </div><div class='right'>"+data.valor+"</div></li>"
                break;
            case "ayuda":
                des.innerHTML = ""
                des.innerHTML += "<li><div class='left'> Adiccion: </div><div class='right'>"+data.adiccion+"</div></li>"
                des.innerHTML += "<li><div class='left'> Peso: </div><div class='right'>"+data.peso+"</div></li>"
                des.innerHTML += "<li><div class='left'> Valor: </div><div class='right'>"+data.valor+"</div></li>"
                break;
            case "municion":
                des.innerHTML = ""
                des.innerHTML += "<li><div class='left'> Peso: </div><div class='right'>"+data.peso+"</div></li>"
                des.innerHTML += "<li><div class='left'> Valor: </div><div class='right'>"+data.valor+"</div></li>"
                break;
            case "criaturas":
                des.innerHTML = ""
                des.innerHTML += "<li><div class='left'> Nivel: </div><div class='right'>"+data.nivel+"</div></li>"
                des.innerHTML += "<li><div class='left'> Vida: </div><div class='right'>"+data.vida+"</div></li>"
        }
    }

    function setInfo(data){
        switch(api){
            case "armas":
                info.innerHTML = "<br><p>Descripción:</p><br>"+data.info
                break;
            case "atuendos":
                info.innerHTML = "<br><p>Descripción:</p><br>"+data.info
                break;
            case "ayuda":
                info.innerHTML = "<br><p>Descripción:</p><br>"+data.info
                break;
            case "municion":
                info.innerHTML = "<br><p>Descripción:</p><br>"+data.info
                break;
            case "criaturas":
                info.innerHTML = "<br><p>Descripción:</p><br>"+data.info
                break;
        }
    }

    // funcion que añade una clase css al item seleccionado
    function setFocus(item) {
        for(i=1; i<items.length; i++){
            if(items[i].classList.contains("focused")){
                items[i].classList.remove("focused")
            }
        }
        item.classList.add("focused")
    }
})

